[RISOLTO]Errori libreria OneWire

Salve a tutti:) il mio problema è con la libreria OneWire scaricata dal arduino.cc, ma non funziona correttamente con l'IDE 1.6.5 ; ho provato con l'IDE 0023 e funzionava correttamente, ma ho necessità di usare questo IDE perché ho altre librerie che non funzionano su ide precendenti.

Errore nella compilazione:

Arduino:1.6.5 (Windows 8.1), Scheda:"Arduino Nano, ATmega328"

C:\Program Files (x86)\Arduino\libraries\OneWire\OneWire.cpp:85:24: fatal error: WConstants.h: No such file or directory

include "WConstants.h"

^ compilation terminated. Errore durante la compilazione

Cancella eventuali OneWire scaricate. Apri l'IDE 1.6.5. Vai nel menù Sketch --> Include Library... --> Menage Libraries Scrivi OneWire nella casella di ricerca e installa la versione 2.3.

Funziona.

L'IDE 1.0.x è deprecato. L'IDE 00.23 è semplicemente preistorico.

P.S. Controlla sempre dal Library Manager l'eventuale presenza di aggiornamenti delle librerie che usi normalmente. In quelle con più versioni puoi scegliere quella più adatta perché non sempre le ultime sono retrocompatibili.

Grazie mille stavo diventando matto hahaha
Funziona :slight_smile:
come si mette RISOLTO ad una domanda?

Devi editare il titolo del tuo primo post. :)